Subject: [Capwap] Terminology section

From: "Saravanan Govindan" <[email-masked]>
Date: Tue, 23 May 2006 15:07:55 +0800

All,

Following from an earlier note, this is the proposed section on
terminologies used in the CAPWAP Specifications. 

Comments appreciated.

[Insert new subsection in Section 1 "Introduction"]

1.5.	Terminology

This document follows the terminologies of [RFC4118] and [OBJECTIVES].
Additionally, the following terms are defined;

WLAN: A WLAN represents a Logical Group as defined in [OBJECTIVES].

--XX--

Saravanan

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 23 May 2006 10:09:38 -0700

Saravanan, I wasn't sure if the text below was complete, or whether
--XX-- implied "more text here".

Could you help clarify, after which I will create an issue to track this
change request.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Saravanan Govindan [mailto:[email-masked]] 
> Sent: Tuesday, May 23, 2006 12:08 AM
> To: [email-masked]
> Subject: [Capwap] Terminology section
> 
> All,
> 
> Following from an earlier note, this is the proposed section 
> on terminologies used in the CAPWAP Specifications. 
> 
> Comments appreciated.
>

---

From: "Saravanan Govindan" <[email-masked]>
Date: Wed, 24 May 2006 09:28:06 +0800

Pat,

I think more text may be required for other definitions. I am still in
reading the draft for any new terms we are using. 

Saravanan

-----Original Message-----
From: Pat Calhoun (pacalhou) [mailto:[email-masked]] 
Sent: Wednesday, May 24, 2006 1:10 AM
To: Saravanan Govindan; [email-masked]
Subject: RE: [Capwap] Terminology section

Pat Calhoun

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Thu, 25 May 2006 07:45:15 -0700

Do people agree with David's position that the CAPWAP protocol spec
should stand on its own, and therefore should not require the user to
refer to terminology defined in the objectives I-D?

Pat Calhoun

> From: David T. Perkins [mailto:[email-masked]] 
> Sent: Wednesday, May 24, 2006 8:40 PM
> To: Saravanan Govindan
> Cc: Pat Calhoun (pacalhou); capwap
> Subject: Re: [Capwap] Terminology section
> 
> HI,
> 
> I believe that it is inappropriate to make reference to
> RFC4118 or objectives I-D in the CAPWAP document. If there 
> are needed text, it should be cut and pasted into the CAPWAP 
> document. This is because the CAPWAP document should be 
> independent from this documents.
> 
> Regards,
> /david t. perkins
> 
> On Thu, 25 May 2006, Saravanan Govindan wrote:
> > Here are additional terms that I think can be included a new 
> > Terminology section. The latter 2 are from Section 13.1 
> "CAPWAP Security".
> > 
> > 
> > [Proposed text]
> > 
> > 1.5.	Terminology
> > 
> > Protected Data: Refers to CAPWAP messages exchanged between 
> > authenticated peers with encryption.
> > 
> > Unprotected Data: Refers to CAPWAP messages exchanged between 
> > authenticated peers without encryption.
> > 
> > [End of proposed text]
> > 
> > 
> > Saravanan
> > 
> > 
> > 
> > 
> > 
> > Sent: Wednesday, May 24, 2006 10:15 PM
> > To: Saravanan Govindan
> > Then how about you send me a final set of proposed 
> terminologies once 
> > you are done, then I will create the issue.
> > 
> > Sound fair?
> > 
> > Pat Calhoun
> > CTO, Wireless Networking Business Unit Cisco Systems
> > 
> >  
> > 
> > > From: Saravanan Govindan 
> > > [mailto:[email-masked]]
> > > Sent: Tuesday, May 23, 2006 6:28 PM
> > > To: Pat Calhoun (pacalhou); [email-masked]
> > > I think more text may be required for other definitions. 
> I am still 
> > > in reading the draft for any new terms we are using.
> > > 
> > > Saravanan
> > > 
> > > 
> > > 
> > > 
> > > Could you help clarify, after which I will create an 
> issue to track 
> > > this change request.
> > > 
> > > Pat Calhoun
> > > CTO, Wireless Networking Business Unit Cisco Systems
> > > 
> > >  
> > > 
> > > > From: Saravanan Govindan
> > > [mailto:[email-masked]]

---

From: "Saravanan Govindan" <[email-masked]>
Date: Fri, 26 May 2006 14:58:03 +0800

Hi Scott,

There was a similar term, if not the same, in the CAPWAP Objectives, for
which IESG reviewers requested clarification. I am trying to learn from
experience and define the security terms in advance. 

Having said this, I agree that having too many definitions is not in
readers' interests. I think we can make a decision on this after getting
more input on (any) other definitions.

Saravanan

-----Original Message-----
From: Scott G Kelly [mailto:[email-masked]] 
Sent: Thursday, May 25, 2006 9:35 PM
To: Saravanan Govindan
Cc: Pat Calhoun (pacalhou); capwap
Subject: Re: [Capwap] Terminology section

Hi Saravanan,

I'm not sure I agree that we need to copy the terms from the security 
considerations, because their meaning seems quite clear right where they

are used (and they are only used in that one instance).

Also, your definitions lack required precision. Protected data (in the 
context referred to in 13.1, i.e. wrapped in DTLS), in addition to being

encrypted, provides for data integrity assurance and data origin 
authentication. Also, unprotected data may be exchanged between 
unauthenticated as well as authenticated peers (e.g. a discovery message

is "unprotected data").

I don't think we should constrain the definitions of these terms in the 
suggested ways, and I think that if there is going to be a terminology 
section, there should be some clear admission criteria - otherwise, we 
stand to gain a fat dictionary at the front of the document which isn't 
meeting any clear need.

Scott

> Here are additional terms that I think can be included a new
Terminology
> section. The latter 2 are from Section 13.1 "CAPWAP Security".
> 
> 
> [Proposed text]
> 
> 1.5.	Terminology
> 
> Then how about you send me a final set of proposed terminologies once
>>I think more text may be required for other definitions. I am 
>>still in reading the draft for any new terms we are using. 
>>
>>Saravanan
>>
>>
>>
>>
>>Could you help clarify, after which I will create an issue to 
>>track this change request.
>>
>>Pat Calhoun
>>>This document follows the terminologies of [RFC4118] and 
>>
>>[OBJECTIVES].
>>